Arithmetic
============================

.. currentmodule:: pyo

Tools to perform arithmetic operations on audio signals.

*Sin*
----------

.. autoclass:: Sin
   :members:

   .. autoclasstoc::

*Cos*
------------

.. autoclass:: Cos
   :members:

   .. autoclasstoc::

*Tan*
------------

.. autoclass:: Tan
   :members:

   .. autoclasstoc::

*Tanh*
------------

.. autoclass:: Tanh
   :members:

   .. autoclasstoc::

*Abs*
------------

.. autoclass:: Abs
   :members:

   .. autoclasstoc::

*Sqrt*
------------

.. autoclass:: Sqrt
   :members:

   .. autoclasstoc::

*Log*
------------

.. autoclass:: Log
   :members:

   .. autoclasstoc::

*Log2*
------------

.. autoclass:: Log2
   :members:

   .. autoclasstoc::

*Log10*
------------

.. autoclass:: Log10
   :members:

   .. autoclasstoc::

*Atan2*
------------

.. autoclass:: Atan2
   :members:

   .. autoclasstoc::

*Floor*
------------

.. autoclass:: Floor
   :members:

   .. autoclasstoc::

*Ceil*
------------

.. autoclass:: Ceil
   :members:

   .. autoclasstoc::

*Round*
------------

.. autoclass:: Round
   :members:

   .. autoclasstoc::

*Pow*
------------

.. autoclass:: Pow
   :members:

   .. autoclasstoc::

*Exp*
------------

.. autoclass:: Exp
   :members:

   .. autoclasstoc::

*Div*
------------

.. autoclass:: Div
   :members:

   .. autoclasstoc::

*Sub*
------------

.. autoclass:: Sub
   :members:

   .. autoclasstoc::
